package utils

// 常量定义
const (
	FormatTime            = "15:04:05"                //时间格式
	FormatDate            = "2006-01-02"              //日期格式
	FormatMonth           = "2006-01"                 //日期格式-年月
	FormatDateCN          = "2006年01月02日"             //日期格式（中文）
	FormatDateUnSpace     = "20060102"                //日期格式
	FormatDateTime        = "2006-01-02 15:04:05"     //完整时间格式
	HlbFormatDateTime     = "2006-01-02_15:04:05.999" //完整时间格式
	FormatDateTimeUnSpace = "20060102150405"          //完整时间格式
	PageSize15            = 15                        //列表页每页数据量
	PageSize5             = 5
	PageSize10            = 10
	PageSize20            = 20
	PageSize30            = 30
)

// 手机号，电子邮箱正则
const (
	RegularMobile = "^((13[0-9])|(14[5|7])|(15([0-3]|[5-9]))|(18[0-9])|(17[0-9])|(16[0-9])|(19[0-9]))\\d{8}$" //手机号码
	RegularEmail  = `\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*`                                             //匹配电子邮箱
)

const (
	APPNAME = "弘则财务管理系统"
)

const DefaultPwd = "9cbf8a4dcb8e30682b927f352d6559a0" //初始密码：123456a

// redis 缓存
const (
	SYSTEM_LOGIN_TOKEN          = "fms:login:token:"
	SYSTEM_LOGIN_TOKEN_NO_TRUST = "fms:login:no_trust:" //管理后台登录（不可信登录态）
	SYSTEM_LOGIN_ADMINID_IP     = "fms:login:admin_id:"
	CACHE_KEY_CURRENCY_RMB_RATE = "fms:currency:rmb:rate" // 汇率接口
)

// OSS
const (
	OssHost         = "https://hongze.oss-accelerate.aliyuncs.com/"
	OssUploadImgDir = "static/images/"
)
