package resource

import (
	"github.com/gin-gonic/gin"
	"hongze/fms_api/controller/resp"
	services "hongze/fms_api/services/resource"
)

type VideoController struct{}

func (v *VideoController) GetOssStsToken(c *gin.Context) {
	ret, err := services.GetOssSTSToken()
	if err != nil {
		resp.FailMsg("获取STSToken失败", "获取STSToken失败"+err.Error(), c)
		return
	}
	resp.OkData("获取成功", ret, c)
	return
}
